'use strict';

// Define constants.
/** @override @constant {Array<Object<String,Object>>} Configurations for each enemy type */
Enemy.prototype.TYPES = [
	{
		spriteSheet: 'images/game/enemy1_spritesheet.png',
		spriteWidth: 142,
		spriteHeight: 196,
		bottomOffset: 0,
		hitboxX: 50,
		hitboxY: 25,
		hitboxWidth: 50,
		hitboxHeight: 125,
		walkAnimLength: 12,
		deathAnimLength: 16,
		frameRateMultiplier: .25,
		maxHealth: 2,
		movement: ['linear', 'sinusoidal']
	}, {
		spriteSheet: 'images/game/enemy2_spritesheet.png',
		spriteWidth: 142,
		spriteHeight: 196,
		bottomOffset: 0,
		hitboxX: -10,
		hitboxY: 150,
		hitboxWidth: 125,
		hitboxHeight: 50,
		walkAnimLength: 12,
		deathAnimLength: 16,
		frameRateMultiplier: .25,
		maxHealth: 2,
		movement: ['linear']
	}
];
