'use strict';

// Define constants.
/** @override @constant {Number} The width of the entire game space, in pixels */
Game.prototype.GAME_WIDTH = 1480;
/** @override @constant {Number} The projectile's starting x-position */
Game.prototype.PROJECTILE_X = 140;
/** @override @constant {Number} The projectile's starting y-position */
Game.prototype.PROJECTILE_Y = Game.prototype.SCREEN_HEIGHT - 130;
/** @override @constant {Number} The launcher's x-position */
Game.prototype.LAUNCHER_X = 100;
/** @override @constant {Number} The launcher's y-position */
Game.prototype.LAUNCHER_Y = Game.prototype.SCREEN_HEIGHT - 85;
/** @override @constant {Number} The launch bar's x-position */
Game.prototype.LAUNCH_BAR_X = 94;
/** @override @constant {Number} The x-coordinate at which enemies take the castle and win */
Game.prototype.ENEMY_WIN_X = 210;

Game.prototype.LEVEL_UP_SOUND = 'audio/levelUp.mp3';

