'use strict';

Array.from =
	Array.from ||
	(function (arrayLikeObject) {
		return Array.prototype.slice.call(arrayLikeObject);
	});

Element.prototype.remove =
	Element.prototype.remove ||
	(function () {
		this.parentElement.removeChild(this);
	});

Math.TAU =
	Math.TAU ||
	2 * Math.PI;

Object.values =
	Object.values ||
	(function (object) {
		var values = [];
		for (var key in object) {
			values.push(object[key]);
		}
		return values;
	});

window.requestAnimationFrame =
	window.requestAnimationFrame ||
	window.webkitRequestAnimationFrame ||
	window.mozRequestAnimationFrame ||
	window.msRequestAnimationFrame ||
	window.oRequestAnimationFrame ||
	(function (callback) {
		setTimeout(callback, 1 / 60 * 1000); // Approximate a 60 FPS callback.
	});
